%define name abuledu-anouslesnombres
%define version 2.2.0
%define release 4
%define execname anous.tcl
%define execpublicname anous
%define abuledu_dest /usr/share/abuledu/applications

Summary: A nous les nombres: Apprentissage des nombres
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.0, tk > 8.0
Requires: tcl > 8.0, tk > 8.0

%description
 "A  nous les  nombres"  est  un logiciel  de  mathmatiques compos  de
 plusieurs modules abordables  partir du cycle 1 concernant la construction du nombre. 
 Cette version est un portage du logiciel de mme nom fonctionnant sous DOS. 
 Il regroupe des activits d'numration, de dnombrement, d'criture numrique ... 

Le logiciel se compose :
  * d'un diteur permettant de crer des scnarios qui constituent les exercices qui
    sont mis  la disposition des enfants
  * de plusieurs modules de jeux
    o Calapa : situations d'numrations
    o Barques : situations de dnombrement
    o Calapa : situations de dnombrement et critures additives
    o Constellation : activit de systmatisation, construction de collections equipotentes
    o Nombre : activit de systmatisation, construction de collections equipotentes
    o Ordinal : travail sur l'ordinal

Contacts : davidlucardi@aol.com herve.baronnet@free.fr, andre.connes@toulouse.iufm.fr et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
# si le groupe profs existe on l'utilise
TESTG=`getent group | grep "profs:"` || true
if [ -n "${TESTG}" ]; then
  chmod 3775 %{abuledu_dest}/%{name}/reglages -R
  chown :profs %{abuledu_dest}/%{name}/reglages -R
fi

# si l'utilisateur abuladmin existe on lui donne le rpertoire
# de rglages
TESTU=`getent passwd | grep abuladmin` || true
if [ -n "${TESTU}" ]; then
  chown abuladmin %{abuledu_dest}/%{name}/reglages -R
fi

%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.install
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(755, leterrier, root) /var/leterrier/%{execpublicname}

%changelog

* Fri Apr 29 2005 Eric Seigne <erics@rycks.com> 2.2.0-4
- Mention des auteurs  l'origine du logiciel
- Messages de traduction en oc languedocien

* Wed Mar 30 2005 Eric Seigne <erics@rycks.com> 2.2.0-3
- Nouvelle version du logiciel et vrification de la gestion des droits

* Tue Nov 11 2003 Eric Seigne <erics@rycks.com> 2.0.0-1
- Nouvelle version du logiciel, systme de gestion des droits OK
- Dillo en navigateur web pour l'aide

* Sun May 18 2003 Eric Seigne <erics@rycks.com> 1.0.2-2
- Bugs for /var/leterrier/anouslesnombres -> /var/leterrier/A_nous corrig

* Sun May 11 2003 Eric Seigne <erics@music.rycks-local.com> 1.0.2-1
- Version 1.0.2

* Mon Mar 31 2003 Eric Seigne <erics@music.rycks-local.com> 1.0.0-1
- Version 1.0

* Sun Nov 24 2002 Eric Seigne <erics@rycks.com> 0.9-1
- First Release
